﻿Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Data
Public Class Mitarbeiter
#Region "eigenschaften"
    Dim aktVorname As String = ""
    Dim aktNachname As String = ""
    Dim changesVor As Boolean = False
    Dim changesNach As Boolean = False
#End Region

    Public Sub New()

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        leseUser()
    End Sub
    Public Sub leseUser()
        ' MitarbeiterList.ItemsSource = ds.Tables(0).DefaultView
        Dim dataSetMitarbeiter = Funktionen.leseMitarbeiter()
        If (dataSetMitarbeiter Is Nothing) Then
            MessageBox.Show("Fehler")
            Exit Sub
        End If

        MitarbeiterList.ItemsSource = dataSetMitarbeiter.Tables(0).DefaultView
    End Sub
 



    Private Sub vornametxt_KeyUp(sender As Object, e As KeyEventArgs) Handles vornametxt.KeyUp
        If (vornametxt.Text <> aktVorname) Then
            vornametxt.Background = Brushes.Yellow
            changesVor = True

        Else
            vornametxt.Background = Brushes.White
            changesVor = False
        End If
    End Sub
    Private Sub nachnametxt_KeyUp(sender As Object, e As KeyEventArgs) Handles nachnametxt.KeyUp
        If (nachnametxt.Text <> aktNachname) Then
            nachnametxt.Background = Brushes.Yellow
            changesNach = True
        Else
            nachnametxt.Background = Brushes.White
            changesNach = False
        End If
    End Sub
    Private Sub speichernbtn_Click(sender As Object, e As RoutedEventArgs) Handles speichernbtn.Click
        If (Funktionen.speichereMitarbeiter(vornametxt.Text, nachnametxt.Text, MitarbeiterIDtxt.Text) = True) Then
            resetChanges()
            leseUser()
        Else

        End If

    End Sub
    Private Sub resetChanges()
        changesNach = False
        changesVor = False
        vornametxt.Background = Brushes.White
        nachnametxt.Background = Brushes.White
    End Sub
    Private Sub Exit_Click(sender As Object, e As RoutedEventArgs) Handles [Exit].Click
        'Auf Änderungen überprüfen
        checkForChanges()
    End Sub

    Private Sub checkForChanges()
        If (changesNach = True Or changesVor = True) Then

            Dim result As New MessageBoxResult()
            result = MessageBox.Show("Es sind Daten verändert worden, speichern?", "Änderungen vorgenommen!", MessageBoxButton.YesNoCancel)
            If result = MessageBoxResult.Yes Then
                'Speichern
                Funktionen.speichereMitarbeiter(vornametxt.Text, nachnametxt.Text, MitarbeiterIDtxt.Text)
                Me.Close()
            ElseIf result = MessageBoxResult.No Then
                Me.Close()
            End If
        Else
            Me.Close()
        End If
    End Sub

    Private Sub Window_Closing(sender As Object, e As ComponentModel.CancelEventArgs)
        If (changesNach = True Or changesVor = True) Then

            Dim result As New MessageBoxResult()
            result = MessageBox.Show("Es sind Daten verändert worden, speichern?", "Änderungen vorgenommen!", MessageBoxButton.YesNo)
            If result = MessageBoxResult.Yes Then
                'Speichern
                Funktionen.speichereMitarbeiter(vornametxt.Text, nachnametxt.Text, MitarbeiterIDtxt.Text)
                Exit Sub
            ElseIf result = MessageBoxResult.No Then
                Exit Sub
            End If
        Else
            Exit Sub
        End If
    End Sub

    Private Sub loeschbtn_Click(sender As Object, e As RoutedEventArgs) Handles loeschbtn.Click
        Dim result As New MessageBoxResult()
        result = MessageBox.Show("Mitarbeiter wirklich löschen?", "Löschbestätigung!", MessageBoxButton.YesNo)
        If (result = MessageBoxResult.Yes) Then
            'löschen
            If (MitarbeiterIDtxt.Text = "") Then
                Exit Sub
            End If
            loeschen(MitarbeiterIDtxt.Text)
        Else
            Exit Sub
        End If
    End Sub
    Private Sub loeschen(ByVal id As String)
        MessageBox.Show("Lösche " & id)
    End Sub

    Private Sub neuerWrk_Click(sender As Object, e As RoutedEventArgs) Handles neuerWrk.Click
        Dim neuer As New newWorker()
        neuer.ShowDialog()
        leseUser()
    End Sub

    Private Sub MitarbeiterList_MouseDoubleClick(sender As Object, e As MouseButtonEventArgs) Handles MitarbeiterList.MouseDoubleClick

        MitarbeiterIDtxt.Text = MitarbeiterList.SelectedItem
    End Sub
End Class
